Bug 47895 - Building of WK2 APIs using Python fails on Scratchbox
: Building of WK2 APIs using Python fails on Scratchbox
Status: RESOLVED FIXED
: WebKit
Tools / Tests
: 528+ (Nightly build)
: Other Linux
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-10-19 03:40 PST by
Modified: 2010-11-02 10:35 PST (History)


Attachments
Patch to force use of Python 2.6 in Scratchbox (1.02 KB, patch)
2010-10-19 07:46 PST, Christian Sejersen
no flags Review Patch | Details | Formatted Diff | Diff
Proper fix for detecting scratchbox (1010 bytes, patch)
2010-11-01 07:51 PST, Christian Sejersen
kenneth: review+
kenneth: commit‑queue+
Review Patch | Details | Formatted Diff | Diff
Same as sb-python-2.patch but without tabs (1.00 KB, patch)
2010-11-01 08:25 PST, Christian Sejersen
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-10-19 03:40:19 PST
In Scratchbox the default Python version is 2.3 and it doesn't support most of the features in generate-messages-header.py and generate-message-receiver.py
------- Comment #1 From 2010-10-19 07:46:57 PST -------
Created an attachment (id=71170) [details]
Patch to force use of Python 2.6 in Scratchbox
------- Comment #2 From 2010-10-19 07:50:25 PST -------
(From update of attachment 71170 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=71170&action=review

> WebKit2/DerivedSources.pro:32
> +linux*:contains(QMAKE_HOST.arch, arm): {
> +    PYTHON = python2.6
> +} else {

Are you sure this doesn't break anything? Like if someone builds for ARM without using scratchbox?
------- Comment #3 From 2010-10-19 08:10:10 PST -------
The commit-queue encountered the following flaky tests while processing attachment 71170 [details]:

http/tests/security/xssAuditor/script-tag-with-source-entities.html
java/lc3/JSObject/ToObject-001.html

Please file bugs against the tests.  The author(s) of the test(s) have been CCed on this bug.  The commit-queue is continuing to process your patch.
------- Comment #4 From 2010-10-19 08:31:15 PST -------
The commit-queue encountered the following flaky tests while processing attachment 71170 [details]:

http/tests/appcache/404-manifest.html

Please file bugs against the tests.  The author(s) of the test(s) have been CCed on this bug.  The commit-queue is continuing to process your patch.
------- Comment #5 From 2010-10-19 08:32:02 PST -------
(From update of attachment 71170 [details])
Clearing flags on attachment: 71170

Committed r70061: <http://trac.webkit.org/changeset/70061>
------- Comment #6 From 2010-10-19 08:32:08 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #7 From 2010-10-19 13:50:40 PST -------
(In reply to comment #2)
> (From update of attachment 71170 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=71170&action=review
> 
> > WebKit2/DerivedSources.pro:32
> > +linux*:contains(QMAKE_HOST.arch, arm): {
> > +    PYTHON = python2.6
> > +} else {
> 
> Are you sure this doesn't break anything? Like if someone builds for ARM without using scratchbox?

It certainly can break if there is no python2.6, so if there is a way to detect if it is Scratchbox, I can change it to use that.
------- Comment #8 From 2010-11-01 07:51:54 PST -------
Created an attachment (id=72505) [details]
Proper fix for detecting scratchbox

The previous patch (71170) will break when building in Scratchbox for a non-ARM target.
------- Comment #9 From 2010-11-01 07:53:41 PST -------
reopening
------- Comment #10 From 2010-11-01 07:54:46 PST -------
Attachment 72505 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style']" exit_code: 1
WebKit2/ChangeLog:6:  Line contains tab character.  [whitespace/tab] [5]
WebKit2/ChangeLog:7:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 2 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #11 From 2010-11-01 08:25:55 PST -------
Created an attachment (id=72507) [details]
Same as sb-python-2.patch but without tabs

Removed tabs from Changelog
------- Comment #12 From 2010-11-01 08:36:10 PST -------
(From update of attachment 72507 [details])
LGTM.
------- Comment #13 From 2010-11-02 10:35:26 PST -------
(From update of attachment 72507 [details])
Clearing flags on attachment: 72507

Committed r71128: <http://trac.webkit.org/changeset/71128>
------- Comment #14 From 2010-11-02 10:35:32 PST -------
All reviewed patches have been landed.  Closing bug.